[Unit]
Description=CoreMedia {{ coremedia_application_name }}
After=syslog.target network.target

ConditionFileNotEmpty = {{ replication_live.cap.server.license }}

[Service]
Type=forking
PIDFile={{ replication_live.user_home }}/apache-tomcat.pid

Environment=CATALINA_PID={{ replication_live.user_home }}/apache-tomcat.pid
Environment=CATALINA_HOME={{ replication_live.user_home }}/current
# Environment='CATALINE_OPTS=-Xms128M -Xmx765M -server -XX:+UseParallelGC'
# Environment='JAVA_OPTS=-Djava.awt.haedless=true -Djava.security.egd=file:/dev/./urandom'

ExecStart={{ replication_live.user_home }}/current/bin/startup.sh -Dprocessname={{ coremedia_application_name }}
ExecStop={{ replication_live.user_home }}/current/bin/shutdown.sh 30

User={{ replication_live_user }}
Group={{ replication_live_group }}

[Install]
WantedBy=multi-user.target
